
void _efl_ui_widget_part_efl_object_destructor(Eo *obj, Elm_Part_Data *pd);


Eina_Error _efl_ui_widget_part_efl_ui_property_bind_property_bind(Eo *obj, Elm_Part_Data *pd, const char *key, const char *property);


static void __eolian_efl_ui_widget_part_efl_gfx_entity_visible_set(Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED, Eina_Bool v EINA_UNUSED)
{
}


static Eina_Bool __eolian_efl_ui_widget_part_efl_gfx_entity_visible_get(const Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED)
{
   return 0;
}


static void __eolian_efl_ui_widget_part_efl_gfx_entity_geometry_set(Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED, Eina_Rect rect EINA_UNUSED)
{
}


Eina_Rect _efl_ui_widget_part_efl_gfx_entity_geometry_get(const Eo *obj, Elm_Part_Data *pd);


static void __eolian_efl_ui_widget_part_efl_gfx_entity_position_set(Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED, Eina_Position2D pos EINA_UNUSED)
{
}


static Eina_Position2D __eolian_efl_ui_widget_part_efl_gfx_entity_position_get(const Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED)
{
   return ((Eina_Position2D){0});
}


static void __eolian_efl_ui_widget_part_efl_gfx_entity_size_set(Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED, Eina_Size2D size EINA_UNUSED)
{
}


static Eina_Size2D __eolian_efl_ui_widget_part_efl_gfx_entity_size_get(const Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED)
{
   return ((Eina_Size2D){0});
}


static void __eolian_efl_ui_widget_part_efl_gfx_entity_scale_set(Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED, double scale EINA_UNUSED)
{
}


static double __eolian_efl_ui_widget_part_efl_gfx_entity_scale_get(const Eo *obj EINA_UNUSED, Elm_Part_Data *pd EINA_UNUSED)
{
   return 0.000000;
}


Efl_Canvas_Layout_Part_Type _efl_ui_widget_part_efl_canvas_layout_part_type_provider_part_type_get(const Eo *obj, Elm_Part_Data *pd);


static Eina_Bool
_efl_ui_widget_part_class_initializer(Efl_Class *klass)
{
   const Efl_Object_Ops *opsp = NULL;

   const Efl_Object_Property_Reflection_Ops *ropsp = NULL;

#ifndef EFL_UI_WIDGET_PART_EXTRA_OPS
#define EFL_UI_WIDGET_PART_EXTRA_OPS
#endif

   EFL_OPS_DEFINE(ops,
      EFL_OBJECT_OP_FUNC(efl_destructor, _efl_ui_widget_part_efl_object_destructor),
      EFL_OBJECT_OP_FUNC(efl_ui_property_bind, _efl_ui_widget_part_efl_ui_property_bind_property_bind),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_set, __eolian_efl_ui_widget_part_efl_gfx_entity_visible_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_visible_get, __eolian_efl_ui_widget_part_efl_gfx_entity_visible_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_geometry_set, __eolian_efl_ui_widget_part_efl_gfx_entity_geometry_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_geometry_get, _efl_ui_widget_part_efl_gfx_entity_geometry_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_set, __eolian_efl_ui_widget_part_efl_gfx_entity_position_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_position_get, __eolian_efl_ui_widget_part_efl_gfx_entity_position_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_set, __eolian_efl_ui_widget_part_efl_gfx_entity_size_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_size_get, __eolian_efl_ui_widget_part_efl_gfx_entity_size_get),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_set, __eolian_efl_ui_widget_part_efl_gfx_entity_scale_set),
      EFL_OBJECT_OP_FUNC(efl_gfx_entity_scale_get, __eolian_efl_ui_widget_part_efl_gfx_entity_scale_get),
      EFL_OBJECT_OP_FUNC(efl_canvas_layout_part_type_get, _efl_ui_widget_part_efl_canvas_layout_part_type_provider_part_type_get),
      EFL_UI_WIDGET_PART_EXTRA_OPS
   );
   opsp = &ops;

   return efl_class_functions_set(klass, opsp, ropsp);
}

static const Efl_Class_Description _efl_ui_widget_part_class_desc = {
   EO_VERSION,
   "Efl.Ui.Widget_Part",
   EFL_CLASS_TYPE_REGULAR,
   sizeof(Elm_Part_Data),
   _efl_ui_widget_part_class_initializer,
   NULL,
   NULL
};

EFL_DEFINE_CLASS(efl_ui_widget_part_class_get, &_efl_ui_widget_part_class_desc, EFL_OBJECT_CLASS, EFL_UI_PROPERTY_BIND_INTERFACE, EFL_GFX_ENTITY_INTERFACE, EFL_CANVAS_LAYOUT_PART_TYPE_PROVIDER_INTERFACE, NULL);
